import request from '@/utils/request'

// 查询资源计费详情
export function resourceCharging(inventoryId) {
  return request({
    url: '/cs/csPricingInventory/resourceCharging/' + inventoryId,
    method: 'get',
  })
}

// 查询计价清单列表
export function listCsPricingInventory(query) {
  return request({
    url: '/cs/csPricingInventory/list',
    method: 'get',
    params: query
  })
}

// 查询计价清单详细
export function getCsPricingInventory(inventoryId) {
  return request({
    url: '/cs/csPricingInventory/' + inventoryId,
    method: 'get'
  })
}

// 新增计价清单
export function addCsPricingInventory(data) {
  return request({
    url: '/cs/csPricingInventory',
    method: 'post',
    data: data
  })
}

// 修改计价清单
export function updateCsPricingInventory(data) {
  return request({
    url: '/cs/csPricingInventory',
    method: 'put',
    data: data
  })
}

// 删除计价清单
export function delCsPricingInventory(inventoryId) {
  return request({
    url: '/cs/csPricingInventory/' + inventoryId,
    method: 'delete'
  })
}
